<?php
require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(1);
?>

<!-- 
CLICKIMAGE
Plugins pour dotclear 1.2.3
Il permet d'insérer facilement des images "cliquable" (une miniature qui quand 
on clique dessus ouvre l'image taille d'origine (Si la taille de l'image d'origine 
et plus petite que la miniature, aucune reduction n'est effectué et l'image est 
simplement insérer)
Les images peuvent soit provenir
- Du disque dur : les images sont alors envoyer dans "dossier_de_votre_choix/id-user/date"
- D'un autre site : les image sont copier dans le meme dossier afin de ne pas 
"voler" la bande passante de l'autre site

Auteur :  Jonas Fourquier
Site web: http://jopc.free.fr (catégorie : "Clickimage (php dotclear)")
Version : voir desc.xml
Licence : GNU GPL (http://www.gnu.org/copyleft/gpl.html)
Installation : voir le fichier index.php depuis l'interface de dotclear (outils -> clickimage)
-->


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
  <title>Envoyer une image</title>
  <meta name="GENERATOR" content="Screem">
  <meta name="AUTHOR" content="Jonas Fourquier">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <style type="text/css">
	@import "style.css";
  </style>
</head>

<body>

<?php
//Variable "dossier dynamique"
$auteur = $_SESSION['sess_user_id'];
$date_jour = date("Y-m-d");
$date_mois = date("Y-m");
$date_annee = date("Y");

require ("config.php");

$extensions_ok = array_merge($typejpg,$typegif,$typepng);

require ("fonctions.php");

if (is_file (dirname(__FILE__).'/save_pref_'.$auteur.'.php')) {
	require (dirname(__FILE__).'/save_pref_'.$auteur.'.php');
}

if ($HTTP_POST_VARS['envoie'])
{
	dossier();
	if ($_FILES['img_hdd']['name'] == null) {
		copier($HTTP_POST_VARS['img_web']);	
	} else {
		envoi('img_hdd');
	}
	
	save_pref();
	
	retour();
}
else
{
	/*** Affichage ***/
	?>
	<form name="boite" method="POST" action="clickimage.php?format=<?php echo $_GET['format']?>" 
		enctype="multipart/form-data" ACCEPT="image/png, image/gif, image/jpg">
	<!-- Limiter la taille des fichiers -->
	<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $taille_max?>" />
	
	<fieldset><legend>Image sur le disque dur</legend>
		<p><label for="img_hdd"></label><input type="file" name="img_hdd" ACCEPT="image/png, image/gif, image/jpg" />
	</fieldset>

	<p></p>

	<fieldset><legend>Image sur le net</legend>
		<p><INPUT type="text" name="img_web" value="Collez ici le lien vers l'image" onfocus="this.value=''" size="33">
	</fieldset>
	<script type="text/javascript" src="../../js/tools.js"></script>

	<p></p>

	<fieldset><legend>Format d'insertion</legend>
		<p><select name="format">
		<?php
		if ($_GET['format'] == "html")
		{
			echo '
			<option value="html_gauche" '.formatselected('html_gauche').'>Texte à droite de l\'image</option>
			<option value="html_droite" '.formatselected('html_droite').'>Texte a gauche de l\'image</option>
			<option value="html_centre" '.formatselected('html_centre').'>Image centrée</option>
			<option value="html_caract" '.formatselected('html_caract').'>Image comme caractère</option>
			';
		}
		else
		{
			echo '
			<option value="wiki_gauche" '.formatselected('wiki_gauche').'>Texte à droite de l\'image</option>
			<option value="wiki_droite" '.formatselected('wiki_droite').'>Texte à gauche de l\'image</option>
			<option value="wiki_centre" '.formatselected('wiki_centre').'>Image centrée</option>
			<option value="wiki_caract" '.formatselected('wiki_caract').'>Image comme caractère</option>
			';
		}
		?>
		</select></p>
			<?php 
		if ($config_avance == "lightbox")
		{
			echo '<p><input type="checkbox" name="mode_album" '.$lightbox_checked.'> Créer un album. Nom : <input type="text" name="album" value="'.$lightbox_album.'" size="8"></p>';
		}
	?>
	</fieldset>
	
	<p></p>
	
	<fieldset><legend>Texte alternatif/Commentaire</legend>
		<p><INPUT type="text" name="texte" size="33"></p>
	</fieldset>
	
	<p></p>
	
	<input style="float : right;" type="submit" name="envoie" value="Envoyer" class="env">
	
	</form>
	<?php
}
?>

</body>